summaryrefslogtreecommitdiff
path: root/2005/flow-accounting-lt2005/ltpdk/bin/lt-validate
diff options
context:
space:
mode:
Diffstat (limited to '2005/flow-accounting-lt2005/ltpdk/bin/lt-validate')
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/lt-validate38
1 files changed, 38 insertions, 0 deletions
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/lt-validate b/2005/flow-accounting-lt2005/ltpdk/bin/lt-validate
new file mode 100755
index 0000000..f56bdbe
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/lt-validate
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# lt-validate - validates an XML/DocBook document of LinuxTag flavour.
+#
+# LinuxTag Paper Development Kit is Copyright (C) 2003 by LinuxTag e. V.
+#
+# V1.2 written 2003-05-04 by Nils Magnus (magnus@linuxtag.org)
+#
+
+# check options
+if [ -z "$1" ]
+then
+ cat << EOF
+Usage: $0 file
+Validates XML/DocBook file.
+EOF
+ exit 1
+fi
+
+# determine paths
+
+bin=`echo $0 | sed 's/[^/]*$//'`
+
+if echo ${bin} | grep -v '^/' > /dev/null
+then
+ bin="`pwd`/${bin}"
+fi
+
+xml=`echo ${bin} | sed 's/bin.*$/xml/'`
+
+# call xmllint
+
+if ${bin}/xmllint --dtdvalid ${xml}/docbook.dtd $*
+then
+ echo "Document is conforming to spec. You may want to check the results with lt-convert."
+else
+ echo "Summary: Document is not conforming to spec."
+fi
personal git repositories of Harald Welte. Your mileage may vary